Magick::DrawableRotation Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableRotation:
[legend]
Collaboration diagram for Magick::DrawableRotation:
[legend]

## Public Member Functions

| DrawableRotation (double angle_)
| ~DrawableRotation (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | angle (double angle_)
double | angle (void) const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 1464 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableRotation()

Magick::DrawableRotation::DrawableRotation | ( | double | angle_ | ) |

inline

Definition at line 1467 of file Drawable.h.

## ~DrawableRotation()

Magick::DrawableRotation::~DrawableRotation | ( | void |  | ) |

Definition at line 1091 of file Drawable.cpp.

## Member Function Documentation

## angle() [1/2]

void Magick::DrawableRotation::angle | ( | double | angle_ | ) |

inline

Definition at line 1479 of file Drawable.h.

## angle() [2/2]

double Magick::DrawableRotation::angle | ( | void |  | ) | const

inline

Definition at line 1483 of file Drawable.h.

## copy()

Magick::DrawableBase * Magick::DrawableRotation::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1099 of file Drawable.cpp.

## operator()()

void Magick::DrawableRotation::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1095 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp